////////////////////
//HEMO TEXT      //
//////////////////
function part19() {
    this.vbl = 0 ;
    this.canvaspart;
    this.initdone = 0 ;

    this.init = function(dest) {

        this.initdone = 1 ;
    }

    this.render = function(dest) {
        if (this.initdone == 0) { this.canvaspart = new canvas(dest.width,dest.height) ; this.init(this.canvaspart) ; }

        this.canvaspart.fill("#ffffff");

        var s = "HEMOROIDS@@LOVES@@THE DEMOSCENE" ;

        var t = s.split('@') ;
        for (var i=0, l; i<t.length; i++) {
            l=t[i];
            if (l.length > 0) {
                if (this.vbl < 50) alpha = this.vbl/50 ;
                if ( (this.vbl>=50) && (this.vbl<100) ) alpha = 1 ;
                if ( (this.vbl>=100) && (this.vbl<150) ) alpha = 1 - (this.vbl-100)/50 ;
                if (this.vbl>=150) alpha = 0 ;

                font_ulm.print(this.canvaspart,l,this.canvaspart.width/2 - l.length * font_ulm.tilew /2, this.canvaspart.height/2 - t.length * font_ulm.tileh/2 + i*font_ulm.tileh,alpha) ;
            }
        }

        this.canvaspart.draw(dest);

        this.vbl++ ;
    }

    return this ;
}

///////////////
//END PART19//
/////////////